﻿using System;
using System.Collections.Generic;
using System.Windows.Controls;
using Telerik.Windows.Controls.Charting;
using Telerik.Windows.Data;
using System.Windows;

namespace SilverlightApplication1
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            DataSeries series = new DataSeries();
            series.Definition = new ScatterSeriesDefinition() { PointShape = MarkerShape.Diamond, PointSize = 20 };
            series.Definition.InteractivitySettings.HoverScope = InteractivityScope.Series;
            series.Add(new DataPoint(1, 10));
            series.Add(new DataPoint(2, 4));
            series.Add(new DataPoint(3, 6));
            series.Add(new DataPoint(7, 15));
            RadChart1.DefaultView.ChartArea.DataSeries.Add(series);

            DataSeries series2 = new DataSeries();
            series2.Definition = new ScatterSeriesDefinition() { PointShape = MarkerShape.Triangle, PointSize = 20 };
            series2.Definition.InteractivitySettings.HoverScope = InteractivityScope.Series;
            series2.Add(new DataPoint(2, 3));
            series2.Add(new DataPoint(3, 5));
            series2.Add(new DataPoint(4, 10));
            series2.Add(new DataPoint(5, 7));
            RadChart1.DefaultView.ChartArea.DataSeries.Add(series2);

            RadChart1.DefaultView.ChartArea.AxisX.LayoutMode = AxisLayoutMode.Inside;

            ((RadChart1.DefaultView.ChartLegend as ItemsControl).Items[0] as ChartLegendItem).MarkerShape = MarkerShape.Diamond;
            ((RadChart1.DefaultView.ChartLegend as ItemsControl).Items[1] as ChartLegendItem).MarkerShape = MarkerShape.Triangle;
        }
    }
}

